Subject: bug#37159: 26.1; svg images in eww

From: Tomasz Piotrowski <[email-masked]>
Date: Mon, 26 Aug 2019 08:25:25 +0200

Eli reported white equations on white background, so I assume the problem exhibits itself differently on different machines. 

Tomasz

> Wiadomość napisana przez Tomasz Piotrowski <[email-masked]> w dniu 26.08.2019, o godz. 07:33:
> 
> Hi Lars,
> 
> As I wrote earlier on, this behaviour (dark grey backround and black equations) is independent of the theme selected on my system (I use EXWM as window manager). 
> 
> It would be nice to have eww working with backgrounds other than white, indeed, but it is not going to solve a problem in this case.
> 
> Tomasz
> 
> 
> 
>> Wiadomość napisana przez Lars Ingebrigtsen <[email-masked]> w dniu 26.08.2019, o godz. 06:56:
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>>> On my system, the background color is white and I don't see any
>>> images.  (I also don't see any of these images in the screenshot you
>>> posted.)  I guess that means EWW displays them with identical
>>> foreground and background colors?
>> 
>> Hm, that's odd.  Does the SVG renderer in your Emacs default to using a
>> white foreground colour?  In my "emacs -Q" on Debian, I get black text
>> on white background in the SVG images (and this is without ImageMagick).
>> 
>> -- 
>> (domestic pets only, the antidote for overdose, milk.)
>>  bloggy blog: http://lars.ingebrigtsen.no